<?php
/*
Simple:Press Forum
Ahah linking related stuff
$LastChangedDate: 2009-11-08 02:08:36 -0700 (Sun, 08 Nov 2009) $
$Rev: 2937 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

sf_forum_ahah_support();
# --------------------------------------------

sf_initialise_globals();

global $current_user;

if (!$current_user->sflinkuse) {
	echo (__('Access Denied', "sforum"));
	die();
}

include_once (SF_PLUGIN_DIR.'/linking/forms/sf-form-blog-link.php');
include_once (SF_PLUGIN_DIR.'/linking/library/sf-links-support.php');

$postid = sf_esc_int($_GET['postid']);

sf_blog_links_control('delete', $postid);

sf_populate_post_form();

die();

?>